from netforce.model import Model, fields
from netforce.access import get_active_company

class CycleDialyLine(Model):
    _name="clinic.cycle.dialy.line"
    _string="Cycle Dialy Line"
    
    _fields={
        "cycle_dialy_id": fields.Many2One("clinic.cycle.dialy","Cycle Dialy"),
        'cycle_id': fields.Many2One("clinic.cycle", "Cycle"),
        'staff_id': fields.Many2One("clinic.staff", "Staff"),
        'level_id': fields.Many2One("clinic.staff.level", "Level"),
        'qty': fields.Integer("Qty"),
        'rate': fields.Float("Rate"),
        'amount': fields.Float("Amount"),
        'company_id': fields.Many2One("company","Company"),
        "type": fields.Selection([('staff','Staff'),("doctor","Doctor"),('nurse','Nurse')],"Type",required=True),
        'date': fields.Date("Date"),
    }

    _defaults={
        'company_id': lambda *a: get_active_company(),
    }
    

CycleDialyLine.register()
